Subject: Re: bug#12251: 24.2.50; crash in note_mouse_highlight

From: Sam Steingold <[email-masked]>
Date: Tue, 28 Aug 2012 12:35:04 -0400

On Mon, Aug 27, 2012 at 3:05 PM, Sam Steingold <[email-masked]> wrote:
>> * Sam Steingold <[email-masked]> [2012-08-27 15:01:55 -0400]:
>>
>>> * martin rudalics <[email-masked]> [2012-08-25 15:40:15 +0200]:
>>>
>>>> tried, but got a crash in different place instead.
>>>
>>> Interesting.  Could you try the more invasive patch I attached?  I
>>> have no idea what it could break, so please don't do any important
>>> work with it.
>>
>> I rebuilt bzr tip this morning and now I am getting this:
>>
>> Debugger entered--Lisp error: (error "#<window 3> is not a live window")
>>   signal(error ("#<window 3> is not a live window"))
>>   error("%s is not a live window" #<window 3>)
>>   window-normalize-window(#<window 3> t)
>>   record-window-buffer(#<window 3>)
>>   set-window-configuration(#<window-configuration>)
>>   sds-window-configuration-restore()
>>   run-hooks(gnus-suspend-gnus-hook)
>>   apply(run-hooks gnus-suspend-gnus-hook)
>>   gnus-run-hooks(gnus-suspend-gnus-hook)
>>   gnus-group-suspend()
>>   call-interactively(gnus-group-suspend nil nil)
>>
>> when exiting or suspending gnus and
>
> ... a similar error when sending e-mail replies after ispell-message .

sorry, it was actually on commit:

Debugger entered--Lisp error: (error "#<window 114> is not a live window")
  signal(error ("#<window 114> is not a live window"))
  error("%s is not a live window" #<window 114>)
  window-normalize-window(#<window 114> t)
  record-window-buffer(#<window 114>)
  set-window-configuration(#<window-configuration>)
  ispell-process-line("^report the filtring lift\n" nil)
  ispell-region(1 26)
  ispell-buffer()
  run-hooks(log-edit-done-hook)
  log-edit-done()
  call-interactively(log-edit-done nil nil)

-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net/>